<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="io.renren.dao.SysDictDataDao">

    <select id="getDictDataListByType" resultType="io.renren.entity.DictData">
        select dict_label as dictLabel, dict_value as dictValue from sys_dict_data d inner join sys_dict_type t on
        d.dict_type_id=t.id and t.dict_type=#{dictType} order by d.sort
    </select>

</mapper>